rpmtypes.h File Reference
Data types: » RPM data types.
`#include <stdint.h>`
`#include <rpm/rpmtag.h>`
Include dependency graph for rpmtypes.h:

Go to the source code of this file.

## Typedefs

typedef const char * | errmsg_t
typedef struct rpmPubkey_s * | rpmPubkey
typedef struct rpmKeyring_s * | rpmKeyring
typedef uint32_t | rpmsid
typedef struct rpmstrPool_s * | rpmstrPool
typedef struct rpmPlugin_s * | rpmPlugin
typedef struct rpmPlugins_s * | rpmPlugins
typedef struct rpmgi_s * | rpmgi
typedef struct rpmSpec_s * | rpmSpec
typedef struct rpmRelocation_s | rpmRelocation
typedef struct _FD_s * | FD_t
typedef enum rpmRC_e | rpmRC
typedef struct headerToken_s * | Header
typedef struct headerIterator_s * | HeaderIterator
typedef int32_t | rpm_tag_t
typedef uint32_t | rpm_tagtype_t
typedef uint32_t | rpm_count_t
typedef rpm_tag_t | rpmTagVal
typedef rpm_tag_t | rpmDbiTagVal
typedef void * | rpm_data_t
typedef const void * | rpm_constdata_t
typedef struct rpmtd_s * | rpmtd
typedef uint32_t | rpm_color_t
typedef uint32_t | rpm_flag_t
typedef uint32_t | rpm_tid_t
typedef uint32_t | rpmFlags
typedef uint32_t | rpm_off_t
typedef uint64_t | rpm_loff_t
typedef uint32_t | rpm_time_t
typedef uint16_t | rpm_mode_t
typedef uint16_t | rpm_rdev_t
typedef uint32_t | rpm_dev_t
typedef uint32_t | rpm_ino_t
typedef struct rpmts_s * | rpmts
typedef struct rpmte_s * | rpmte
typedef struct rpmds_s * | rpmds
typedef struct rpmfi_s * | rpmfi
typedef struct rpmfiles_s * | rpmfiles
typedef struct rpmdb_s * | rpmdb
typedef struct rpmdbMatchIterator_s * | rpmdbMatchIterator
typedef struct rpmtsi_s * | rpmtsi
typedef struct rpmps_s * | rpmps
typedef struct rpmtxn_s * | rpmtxn
typedef struct rpmver_s * | rpmver
typedef struct rpmdbIndexIterator_s * | rpmdbIndexIterator
typedef const void * | fnpyKey
typedef void * | rpmCallbackData

## Enumerations

enum | rpmRC_e { RPMRC_OK = 0, RPMRC_NOTFOUND = 1, RPMRC_FAIL = 2, RPMRC_NOTTRUSTED = 3, RPMRC_NOKEY = 4 }

## Detailed Description

Typedefs for RPM abstract data types.

Todo:
  The grouping needs love to look sane...

Definition in file rpmtypes.h.

## Typedef Documentation

## errmsg_t

typedef const char* errmsg_t

Definition at line 17 of file rpmtypes.h.

## rpmgi

typedef struct rpmgi_s* rpmgi

Definition at line 89 of file rpmtypes.h.

## rpmKeyring

typedef struct rpmKeyring_s* rpmKeyring

Definition at line 81 of file rpmtypes.h.

## rpmPlugin

typedef struct rpmPlugin_s* rpmPlugin

Definition at line 86 of file rpmtypes.h.

## rpmPlugins

typedef struct rpmPlugins_s* rpmPlugins

Definition at line 87 of file rpmtypes.h.

## rpmPubkey

typedef struct rpmPubkey_s* rpmPubkey

Definition at line 80 of file rpmtypes.h.

## rpmRelocation

typedef struct rpmRelocation_s rpmRelocation

Definition at line 91 of file rpmtypes.h.

## rpmsid

typedef uint32_t rpmsid

Definition at line 83 of file rpmtypes.h.

## rpmSpec

typedef struct rpmSpec_s* rpmSpec

Definition at line 91 of file rpmtypes.h.

## rpmstrPool

typedef struct rpmstrPool_s* rpmstrPool

Definition at line 84 of file rpmtypes.h.